FROM python:3.10-slim

RUN apt-get update
RUN apt-get install -y gcc

## make a local directory
RUN mkdir /app

# set "app" as the working directory from which CMD, RUN, ADD references
WORKDIR /app

# copy requirements.txt to /app
ADD requirements.txt .

# pip install the local requirements.txt
RUN pip install -r requirements.txt

# now copy all the files in this directory to /app
ADD . .

# Listen to port 80 at runtime
EXPOSE 5000

# Define our command to be run when launching the container
ENTRYPOINT [ "/app/entrypoint.sh" ]
